## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyFieldDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyFieldDoc

All Implemented Interfaces:
  Comparable, GroovyDoc, GroovyFieldDoc, GroovyMemberDoc, GroovyProgramElementDoc

    public class SimpleGroovyFieldDoc

extends SimpleGroovyMemberDoc
implements GroovyFieldDoc

Constructor Summary
`SimpleGroovyFieldDoc(String name)`

Method Summary
`Object` `constantValue()`
`String` `constantValueExpression()`
`boolean` `isTransient()`
`boolean` `isVolatile()`
`void` `setType(SimpleGroovyType type)`
`GroovyType` `type()`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
`isSynthetic`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setPublic, setStatic`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
`commentText, compareTo, firstSentenceCommentText, getDocUrl, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, replaceAllTags, setAsInterfaceDefinition, setRawCommentText, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc
`isSynthetic`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### SimpleGroovyFieldDoc

    public SimpleGroovyFieldDoc(String name)

Method Detail

### constantValue

    public Object constantValue()

  Specified by:
    `constantValue` in interface `GroovyFieldDoc`

### constantValueExpression

    public String constantValueExpression()

  Specified by:
    `constantValueExpression` in interface `GroovyFieldDoc`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `GroovyFieldDoc`

### isVolatile

    public boolean isVolatile()

  Specified by:
    `isVolatile` in interface `GroovyFieldDoc`

### type

    public GroovyType type()

  Specified by:
    `type` in interface `GroovyFieldDoc`

### setType

    public void setType(SimpleGroovyType type)

Copyright © 2003-2008 The Codehaus. All rights reserved.